> ## Documentation Index
> Fetch the complete documentation index at: https://fdocs.info/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Recommendation Given

> 1 credit per call.

```bash cURL theme={null}
curl --request GET \
	--url 'https://live-fetch.p.rapidapi.com/get-recommendations-given?linkedin_url=https%3A%2F%2Fwww.linkedin.com%2Fin%2Fajjames' \
	--header 'x-rapidapi-host: live-fetch.p.rapidapi.com' \
	--header 'x-rapidapi-key: YOUR_RAPIDAPI_KEY'
```

```python Python theme={null}
import requests

url = "https://live-fetch.p.rapidapi.com/get-recommendations-given"

querystring = {
    "linkedin_url": "https://www.linkedin.com/in/ajjames"
}

headers = {
    "x-rapidapi-key": "YOUR_RAPIDAPI_KEY",
    "x-rapidapi-host": "live-fetch.p.rapidapi.com"
}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript JavaScript theme={null}
const params = new URLSearchParams({
	linkedin_url: "https://www.linkedin.com/in/ajjames"
});

const url = `https://live-fetch.p.rapidapi.com/get-recommendations-given?${params}`;
const options = {
	method: 'GET',
	headers: {
		'x-rapidapi-key': 'YOUR_RAPIDAPI_KEY',
		'x-rapidapi-host': 'live-fetch.p.rapidapi.com'
	}
};

try {
	const response = await fetch(url, options);
	const result = await response.json();
	console.log(result);
} catch (error) {
	console.error(error);
}
```

```php PHP theme={null}
<?php

$query = http_build_query([
	'linkedin_url' => "https://www.linkedin.com/in/ajjames"
]);

$curl = curl_init();

curl_setopt_array($curl, [
	CURLOPT_URL => "https://live-fetch.p.rapidapi.com/get-recommendations-given" . "?" . $query,
	CURLOPT_RETURNTRANSFER => true,
	CURLOPT_CUSTOMREQUEST => "GET",
	CURLOPT_HTTPHEADER => [
		"x-rapidapi-host: live-fetch.p.rapidapi.com",
		"x-rapidapi-key: YOUR_RAPIDAPI_KEY"
	],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
	echo "cURL Error #:" . $err;
} else {
	echo $response;
}
```

```go Go theme={null}
package main

import (
	"fmt"
	"io"
	"net/http"
	"net/url"
)

func main() {
	params := url.Values{}
	params.Add("linkedin_url", "https://www.linkedin.com/in/ajjames")

	req, _ := http.NewRequest("GET", "https://live-fetch.p.rapidapi.com/get-recommendations-given?"+params.Encode(), nil)

	req.Header.Add("x-rapidapi-key", "YOUR_RAPIDAPI_KEY")
	req.Header.Add("x-rapidapi-host", "live-fetch.p.rapidapi.com")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(string(body))
}
```

```java Java theme={null}
HttpRequest request = HttpRequest.newBuilder()
		.uri(URI.create("https://live-fetch.p.rapidapi.com/get-recommendations-given?linkedin_url=https%3A%2F%2Fwww.linkedin.com%2Fin%2Fajjames"))
		.header("x-rapidapi-key", "YOUR_RAPIDAPI_KEY")
		.header("x-rapidapi-host", "live-fetch.p.rapidapi.com")
		.method("GET", HttpRequest.BodyPublishers.noBody())
		.build();
HttpResponse<String> response = HttpClient.newHttpClient().send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
```


## OpenAPI

````yaml GET /get-recommendations-given
openapi: 3.0.1
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://live-fetch.p.rapidapi.com
security:
  - ApiKeyAuth: []
paths:
  /get-recommendations-given:
    get:
      description: 1 credit per call.
      parameters:
        - name: linkedin_url
          in: query
          required: true
          description: ''
          schema:
            type: string
            example: https://www.linkedin.com/in/ajjames
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        profile_url:
                          type: string
                          example: https://www.linkedin.com/in/christiankampf/
                        text:
                          type: string
                          example: >-
                            Christian is a healthcare expert who dreams of
                            making a real difference in the world. He's been
                            working hard for over 20 years, all over the globe,
                            to make this happen. He's built strong relationships
                            with other healthcare professionals and achieved
                            amazing results.


                            Christian's honesty and experience make him a
                            valuable asset to any partnership. With his help,
                            you can navigate the complex world of healthcare and
                            turn challenges into opportunities. He's a dedicated
                            ally who can help make a real impact.


                            I highly recommend reaching out and connecting with
                            him.
                  message:
                    type: string
                    example: ok
        '400':
          description: Invalid linkedin url
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InvalidURL'
        '503':
          description: System error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SystemError'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    InvalidURL:
      type: object
      properties:
        data:
          type: object
          nullable: true
          example: null
        message:
          type: string
          example: 'Bad request: Invalid linkedin_url.'
    SystemError:
      type: object
      properties:
        data:
          type: object
          nullable: true
          example: null
        message:
          type: string
          example: >-
            System error. You will not be charged for this request. We will fix
            it soon!
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-rapidapi-key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.